/***************************************************************************
 *   Copyright (C) 2007 by Jackie Team   *
 *   jackie.team@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OPTIONS_DIALOG_H
#define OPTIONS_DIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "Options_Handler.h"
#include <wx/regex.h>


class OptionsDialog : public wxFrame{
    public:
         OptionsDialog(wxWindow*);

    private:
        void save(wxCommandEvent& e);
        void cancel(wxCommandEvent& e);
        void textWriting(wxCommandEvent& event);
        wxButton* btnSave;
        wxButton* btnCancel;
        wxTextCtrl* defaultReplaceChar;
        wxCheckBox* saveDir;
        wxCheckBox* directorySort;
        enum{ID_CANCEL=55,ID_SAVE,ID_REPLACE};
        DECLARE_EVENT_TABLE()
};

#endif
